aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
author1024x22024-04-25 00:50:36 +0100
committer1024x22024-04-26 11:53:23 +0100
commitd23bd89aca82c3679a13892007ccb5fa7d5b25be (patch)
tree394233dfde411e6c508bd8a3522b475ef9a098e1 /build.sh
parentf812b79a288ea9b08b60f430c6cfd36900abfe98 (diff)
Add basic build and inject scripts
Linux-only for now.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..c78474c
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+# Pull the patches repository
+git pull
+
+# Do we have the Vencord sources cloned?
+if [ -e Vencord/.git ]; then
+ # Update sources
+ cd Vencord
+ git fetch
+else
+ # Clone sources
+ git clone https://github.com/Vendicated/Vencord.git Vencord
+ cd Vencord
+fi
+
+# Reset vexcord branch and apply patches
+git checkout -B vexcord origin/main
+git am ../*.patch
+
+# Build vencord
+pnpm i --frozen-lockfile
+node scripts/build/build.mjs